<?php
/**
 * @var \Illuminate\Database\Eloquent\Collection $menuItem
 * @var int $page_number
 */

use app\tables\columns\menu\MenuDeleteActionColumn;
use app\tables\columns\menu\MenuEditActionColumn;
use app\tables\columns\menu\MenuViewActionColumn;
use Itguild\EloquentTable\EloquentDataProvider;
use Itguild\EloquentTable\ListEloquentTable;
use kernel\IGTabel\btn\PrimaryBtn;
use kernel\models\Menu;

$table = new ListEloquentTable(new EloquentDataProvider(Menu::class, [
    'currentPage' => $page_number,
    'perPage' => 8,
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/settings/menu",
]));
$table->columns([
    'parent_id' => (function ($data) {
        if ($data == 0) return null;
        return Menu::find($data)->label;
    }),
]);
$table->beforePrint(function () {
    return PrimaryBtn::create("Создать", "/admin/settings/menu/create")->fetch();
    //return (new PrimaryBtn("Создать", "/admin/user/create"))->fetch();
});
$table->addAction(MenuViewActionColumn::class);
$table->addAction(MenuEditActionColumn::class);
$table->addAction(MenuDeleteActionColumn::class);
$table->create();
$table->render();